Page MenuHomeFreeBSD

D37463.diff
No OneTemporary

D37463.diff

diff --git a/libexec/rc/rc.d/growfs_fstab b/libexec/rc/rc.d/growfs_fstab
new file mode 100755
--- /dev/null
+++ b/libexec/rc/rc.d/growfs_fstab
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Copyright 2022 Michael J. Karels
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# PROVIDE: growfs_fstab
+# REQUIRE: growfs root
+# KEYWORD: firstboot
+
+# If the growfs script added a swap partition, then add a swap entry
+# to /etc/fstab if none exists, and add as dumpdev.
+
+. /etc/rc.subr
+
+name="growfs_fstab"
+desc="Add new swap partition to /etc/fstab"
+start_cmd="growfs_fstab_start"
+stop_cmd=":"
+rcvar="growfs_enable"
+
+growfs_fstab_start()
+{
+ if kenv -q growfs_swap_pdev >/dev/null
+ then
+ if awk '
+ /^#/ { next }
+ $3 == "swap" { exit 1 }
+ ' < /etc/fstab
+ then
+ printf "/dev/label/growfs_swap\tnone\t\tswap\tsw\t\t0\t0\n" >>/etc/fstab
+
+ case "$dumpdev" in
+ [Aa][Uu][Tt][Oo])
+ dumpon $dumpon_flags /dev/label/growfs_swap
+ ;;
+ *)
+ ;;
+ esac
+ fi
+ fi
+}
+
+load_rc_config $name
+run_rc_command "$1"

File Metadata

Mime Type
text/plain
Expires
Sun, Jan 12, 6:08 AM (21 h, 2 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
15762302
Default Alt Text
D37463.diff (2 KB)

Event Timeline